Bug 427140 - Webcam functionality broken in Fedora 8 and Fedora 7 (dual core 64bit)
Webcam functionality broken in Fedora 8 and Fedora 7 (dual core 64bit)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: camstream (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Simon Perreault
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-01 01:00 EST by Leslie Satenstein
Modified: 2009-01-09 00:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:40:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Camstream 2>Camstream8.log (1.18 KB, text/plain)
2008-01-01 01:00 EST, Leslie Satenstein
no flags Details
Fedora 7 log file. Camstream 2>Camstream.log (1.18 KB, text/plain)
2008-01-01 01:05 EST, Leslie Satenstein
no flags Details

  None (edit)
Description Leslie Satenstein 2008-01-01 01:00:25 EST
Description of problem:
Camstream does not function correctly with Fedora 7 and Fedora 8 and with the
VX-1000 Webcam definition.  Program starts with either a constant flicker, and
washed out colors, or with normal size and washed out colors. Contract and
brightness do not enable the cam to produce reasonable color correction.
This same webcam under Windows XP works perfectly.

Both webcams microphones do not function under Fedora 7 and Fedora 8. (32 bit
for fedora 7, and 64 bit for Fedora 8). System is dual core Intel d930.


With Other webcam tested (Logitech STX), it works correctly, image is sharp.

Version-Release number of selected component (if applicable):

Camstream version is not specified.

How reproducible:
All the time. Just plug and initiate.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

Same image as one has in XP. (One of my webcams does produce the correct image,
but the one that does not is the MS VX-1000.  

I have some traces of use. I have tried to find the functions from the logs in
the gspca.ko module, but to no avail.
Traces are attached.


Additional info:
Comment 1 Leslie Satenstein 2008-01-01 01:00:25 EST
Created attachment 290602 [details]
Camstream 2>Camstream8.log
Comment 2 Leslie Satenstein 2008-01-01 01:05:10 EST
Created attachment 290603 [details]
Fedora 7 log file.  Camstream 2>Camstream.log

Note the error messages shown in the attached files.

the gspa.ko version was compiled from the 12242007 release. Tests were also
done with the Nov version that was released with Fedora 8 and with F7 initial
release.
/sbin/Modprob -r gspa  was followed by /sbin/Modprob gspca (after replacement
of gspcs.ko)
Comment 3 Leslie Satenstein 2008-01-06 12:28:09 EST
Fedora 7 Quality with camstream as my validation software shows some
improvement. Picture quality is much improved.  Fedora 8 should display the same
improvement, but it does not. So what has changed in the video cam area between
the two releases?
Comment 4 Hans de Goede 2008-09-10 05:05:29 EDT
Quick intro: I'm a Fedora developer currently working on improving webcam support under Linux / Fedora:
https://fedoraproject.org/wiki/Features/BetterWebcamSupport

The gspca driver has been merged into the mainline kernel now and will be a default component of F-10. Could you test this with the Fedsora 10 beta which will be released soon?

Also could you give the output of the command "lsusb" with the cams you are having trouble with attached?
Comment 5 Bug Zapper 2008-11-26 04:14:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:40:08 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.